Edit custom field of project template
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/customFields/{fieldInstanceUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"selectedOptions": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
],
"value": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/customFields/{fieldInstanceUid}"
payload = {
"selectedOptions": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"value": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({selectedOptions: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}], value: '<string>'})
};
fetch('https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/customFields/{fieldInstanceUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"customField": {
"allowedEntities": [],
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"description": "<string>",
"lastModified": "2023-11-07T05:31:56Z",
"lastModifiedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"name": "<string>",
"options": {
"remainingCount": 123,
"truncatedOptions": [
{
"deprecated": true,
"uid": "<string>",
"used": true,
"value": "<string>"
}
]
},
"required": true,
"requiredFrom": "2023-11-07T05:31:56Z",
"uid": "<string>"
},
"selectedOptions": [
{
"deprecated": true,
"uid": "<string>",
"used": true,
"value": "<string>"
}
],
"uid": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"value": "<string>"
}Project Template
Edit custom field of project template
PUT
/
api2
/
v1
/
projectTemplates
/
{projectTemplateUid}
/
customFields
/
{fieldInstanceUid}
Edit custom field of project template
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project template UID
Custom field instance UID
Body
application/json
Updated custom field value
Response
OK
Reference to an object by its unique identifier
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Reference to an object by its unique identifier
Show child attributes
Show child attributes
Was this page helpful?
⌘I